Subject: Re: bug#23829: 25.0.90; ruby-mode.el ruby-toggle-string-quotes bug fix

From: Dmitry Gutov <[email-masked]>
Date: Mon, 27 Jun 2016 07:38:15 +0300

Version: 25.2

Hi Sriram,

On 06/22/2016 08:12 PM, Sriram Thaiyar wrote:
> Attached is a patch to fix `ruby-toggle-string-quotes' in ruby-mode.el.
> It was messing up when there were other quotes within the string.

Thanks for the patch, pushed to master. I had to reformat the commit 
message a bit, though. Also see the follow-up commit, fixing a related case.

> I tried to send this via "M-x report-emacs-bug" and "C-c M-i", but that
> 404s with a Bad Request for Gmail.

Not sure where that 404 would be coming from, or why (I don't use 
Gmail), but you might want to send a separate bug report for that. With 
some details.